Name:           accountsservice
Version:        0.6.55
Release:        2
Summary:        D-Bus service for accessing the list of user accounts and information attached to those accounts.

License:        GPLv3+
URL:            https://www.freedesktop.org/wiki/Software/AccountsService/
Source0:        https://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

Patch1:         0001-exclude-pcpqa-user-who-cannot-login-because-of-SELin.patch

BuildRequires:  gtk-doc polkit-devel libxslt pkgconfig(dbus-1) systemd systemd-devel
BuildRequires:  meson gobject-introspection-devel gettext-devel glib2-devel
Requires:       polkit shadow-utils
%systemd_requires

%description
AccountsService has been developed in and is used by the GNOME
project but should be usable in other desktops. It is a young
project and is being kept pliable to update to requirements as
they arise.

%package libs
Summary:         The library for client-side to interact with accountsservice
Requires:        accountsservice = %{version}-%{release}

%description libs
Applications use library that %{name}-libs package provides to interact with the
accountsservice daemon.

%package        devel
Summary:        %{name}-libs development files
Requires:       accountsservice-libs = %{version}-%{release}

%description    devel
The headers and other files that required to build the %{name}-libs application
are contained in %{name}-devel package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p 1

%build
%meson -Dgtk_doc=true -Duser_heuristics=true
%meson_build

%install
%meson_install

%post
%systemd_post accounts-daemon.service

%preun
%systemd_preun accounts-daemon.service

%postun
%systemd_postun accounts-daemon.service


%ldconfig_scriptlets libs

%files
%doc AUTHORS
%license COPYING
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/icons/
%dir %{_localstatedir}/lib/AccountsService/users/
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/locale/
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/*.service
%{_libexecdir}/accounts-daemon
%{_unitdir}/accounts-daemon.service
%{_sysconfdir}/dbus-1/system.d/*.conf

%files libs
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_datadir}/gir-1.0/*.gir
%{_libdir}/libaccountsservice.so
%{_libdir}/pkgconfig/accountsservice.pc
%{_includedir}/accountsservice-1.0/act/*.h

%files help
%doc README.md
%{_datadir}/gtk-doc/html/libaccountsservice/*

%changelog
* Wed Mar 30 2022 ouyangminxiang <ouyangminxiang@kylinsec.com.cn> - 0.6.55-2
- exclude pcpqa user who cannot login because of SELinux

* Thu Jan 28 2021 yanglu <yanglu60@huawei.com> - 0.6.55-1
- Version update

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.54-2
- Package Init
